Process images through the KYC widget

POST /kyc/widget/process


Description

The method sends images for processing through the KYC widget. A JWT token in the header is required. Parameters are passed using multipart/form-data.


Request Format

  • HTTP method: POST
  • URL: /kyc/widget/process
  • Content-Type: multipart/form-data
  • Authorization: required

Request Parameters

ParameterTypeLocationRequiredDescription
tokenstringHeaderUser JWT token
imagesarrayform-dataImages for processing (files)
jsonstringform-dataJSON string with additional parameters

Request Example (cURL)

curl -X POST "https://api.enface.ai/kyc/widget/process" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -F "images=@/path/to/image1.jpg" 
  -F "images=@/path/to/image2.jpg" 
  -F "json={"extraParam": "value"}"

Response Examples

Success (200 OK)
{
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}
Error (401 Unauthorized)
{
  "message": "access denied",
  "status": "error"
}
Error (404 Not Found)
{
  "message": "item with this id does not found",
  "status": "error"
}